execute as @e[type=item,tag=blue.return] run function blue:main/item/return
execute as @a[scores={blue.transferLink=1..}] run function blue:trims/transfer/timer
scoreboard players enable @a[advancements={blue:actual/temp/set=true}] TrimAbility.BLUE
scoreboard players enable @a[advancements={blue:actual/temp/set=true}] SelfTrim.BLUE
scoreboard players enable @a[advancements={blue:actual/temp/set=true}] CheckOwned.BLUE
scoreboard players enable @a[advancements={blue:actual/temp/set=true}] TransferTrim.BLUE
execute if score -.spireGravity blue.misc matches 1 as @e[tag=blue.spire.NoGravity] run function blue:effects/spire/remove
execute if score -.silenceSilent blue.misc matches 1 as @e[tag=blue.silence.Silent] run function blue:effects/silence/remove
execute if score -.dragon blue.completed matches 1 run advancement grant @a[advancements={blue:actual/temp/set=true}] only blue:actual/egg
execute if score -.wayfinder blue.completed matches 1 run advancement grant @a[advancements={blue:actual/temp/set=true}] only blue:actual/hadwayfinder
execute if score -.silence blue.completed matches 1 run advancement grant @a[advancements={blue:actual/temp/set=true}] only blue:actual/hadsilence
execute if score -.shaper blue.completed matches 1 run advancement grant @a[advancements={blue:actual/temp/set=true}] only blue:actual/hadshaper
execute if score -.raiser blue.completed matches 1 run advancement grant @a[advancements={blue:actual/temp/set=true}] only blue:actual/hadraiser
execute if score -.sentry blue.completed matches 1 run advancement grant @a[advancements={blue:actual/temp/set=true}] only blue:actual/hadsentry
execute if score -.spire blue.completed matches 1 run advancement grant @a[advancements={blue:actual/temp/set=true}] only blue:actual/hadspire
execute if score -.coast blue.completed matches 1 run advancement grant @a[advancements={blue:actual/temp/set=true}] only blue:actual/hadcoast
execute if score -.snout blue.completed matches 1 run advancement grant @a[advancements={blue:actual/temp/set=true}] only blue:actual/hadsnout
execute if score -.ward blue.completed matches 1 run advancement grant @a[advancements={blue:actual/temp/set=true}] only blue:actual/hadward
execute if score -.dune blue.completed matches 1 run advancement grant @a[advancements={blue:actual/temp/set=true}] only blue:actual/haddune
execute if score -.wild blue.completed matches 1 run advancement grant @a[advancements={blue:actual/temp/set=true}] only blue:actual/hadwild
execute if score -.tide blue.completed matches 1 run advancement grant @a[advancements={blue:actual/temp/set=true}] only blue:actual/hadtide
execute if score -.host blue.completed matches 1 run advancement grant @a[advancements={blue:actual/temp/set=true}] only blue:actual/hadhost
execute if score -.eye blue.completed matches 1 run advancement grant @a[advancements={blue:actual/temp/set=true}] only blue:actual/hadeye
execute if score -.rib blue.completed matches 1 run advancement grant @a[advancements={blue:actual/temp/set=true}] only blue:actual/hadrib
execute if score -.vex blue.completed matches 1 run advancement grant @a[advancements={blue:actual/temp/set=true}] only blue:actual/hadvex
execute if score -.wayfinderClear blue.val matches 1.. as @a[tag=blue.wayfinder,limit=1] at @s run function blue:main/delayed/trims/wayfinder
execute if score -.silenceClear blue.val matches 1.. as @a[tag=blue.silence,limit=1] at @s run function blue:main/delayed/trims/silence
execute if score -.shaperClear blue.val matches 1.. as @a[tag=blue.shaper,limit=1] at @s run function blue:main/delayed/trims/shaper
execute if score -.raiserClear blue.val matches 1.. as @a[tag=blue.raiser,limit=1] at @s run function blue:main/delayed/trims/raiser
execute if score -.sentryClear blue.val matches 1.. as @a[tag=blue.sentry,limit=1] at @s run function blue:main/delayed/trims/sentry
execute if score -.spireClear blue.val matches 1.. as @a[tag=blue.spire,limit=1] at @s run function blue:main/delayed/trims/spire
execute if score -.coastClear blue.val matches 1.. as @a[tag=blue.coast,limit=1] at @s run function blue:main/delayed/trims/coast
execute if score -.snoutClear blue.val matches 1.. as @a[tag=blue.snout,limit=1] at @s run function blue:main/delayed/trims/snout
execute if score -.wardClear blue.val matches 1.. as @a[tag=blue.ward,limit=1] at @s run function blue:main/delayed/trims/ward
execute if score -.duneClear blue.val matches 1.. as @a[tag=blue.dune,limit=1] at @s run function blue:main/delayed/trims/dune
execute if score -.wildClear blue.val matches 1.. as @a[tag=blue.wild,limit=1] at @s run function blue:main/delayed/trims/wild
execute if score -.tideClear blue.val matches 1.. as @a[tag=blue.tide,limit=1] at @s run function blue:main/delayed/trims/tide
execute if score -.hostClear blue.val matches 1.. as @a[tag=blue.host,limit=1] at @s run function blue:main/delayed/trims/host
execute if score -.eyeClear blue.val matches 1.. as @a[tag=blue.eye,limit=1] at @s run function blue:main/delayed/trims/eye
execute if score -.ribClear blue.val matches 1.. as @a[tag=blue.rib,limit=1] at @s run function blue:main/delayed/trims/rib
execute if score -.vexClear blue.val matches 1.. as @a[tag=blue.vex,limit=1] at @s run function blue:main/delayed/trims/vex
execute if score -.wayfinder blue.completed matches 0 run advancement revoke @a only blue:actual/hadwayfinder
execute if score -.silence blue.completed matches 0 run advancement revoke @a only blue:actual/hadsilence
execute if score -.shaper blue.completed matches 0 run advancement revoke @a only blue:actual/hadshaper
execute if score -.raiser blue.completed matches 0 run advancement revoke @a only blue:actual/hadraiser
execute if score -.sentry blue.completed matches 0 run advancement revoke @a only blue:actual/hadsentry
execute if score -.spire blue.completed matches 0 run advancement revoke @a only blue:actual/hadspire
execute if score -.coast blue.completed matches 0 run advancement revoke @a only blue:actual/hadcoast
execute if score -.snout blue.completed matches 0 run advancement revoke @a only blue:actual/hadsnout
execute if score -.ward blue.completed matches 0 run advancement revoke @a only blue:actual/hadward
execute if score -.dune blue.completed matches 0 run advancement revoke @a only blue:actual/haddune
execute if score -.wild blue.completed matches 0 run advancement revoke @a only blue:actual/hadwild
execute if score -.tide blue.completed matches 0 run advancement revoke @a only blue:actual/hadtide
execute if score -.host blue.completed matches 0 run advancement revoke @a only blue:actual/hadhost
execute if score -.eye blue.completed matches 0 run advancement revoke @a only blue:actual/hadeye
execute if score -.rib blue.completed matches 0 run advancement revoke @a only blue:actual/hadrib
execute if score -.vex blue.completed matches 0 run advancement revoke @a only blue:actual/hadvex
execute if score -.dragon blue.completed matches 0 run advancement revoke @a only blue:actual/egg
execute if score -.bluePickup blue.misc matches 1.. run scoreboard players add -.rTemp blue.misc 1
execute if score -.rTemp blue.misc matches 2.. run function blue:main/delayed/pickup
advancement revoke @a[tag=!blue.mats.star] only blue:actual/general/cmd4
scoreboard players add @a[scores={blue.transferCD=1..}] blue.transferCD 1
scoreboard players reset @a[scores={blue.transferCD=10..},limit=1] blue.transferCD
scoreboard players add @a blue.desertTime 0
scoreboard players set @a blue.vineCD 0
advancement revoke @a only blue:desert
scoreboard players reset @a blue.fish
schedule function blue:main/delayed/15s 15s